Index: code/branches/presentationFS14/src/orxonox/Scene.h
===================================================================
--- code/branches/presentationFS14/src/orxonox/Scene.h	(revision 10198)
+++ code/branches/presentationFS14/src/orxonox/Scene.h	(revision 10203)
@@ -143,7 +143,4 @@
                                           int index0, const btCollisionObject* colObj1, int partId1, int index1);
 
-            static bool customCollisionCallback(btManifoldPoint& cp, const btCollisionObject* colObj0, int partId0,
-                                                      int index0, const btCollisionObject* colObj1, int partId1, int index1);
-
             // Bullet objects
             btDiscreteDynamicsWorld*             physicalWorld_;
Index: code/branches/presentationFS14/src/orxonox/collisionshapes/CollisionShape.h
===================================================================
--- code/branches/presentationFS14/src/orxonox/collisionshapes/CollisionShape.h	(revision 10198)
+++ code/branches/presentationFS14/src/orxonox/collisionshapes/CollisionShape.h	(revision 10203)
@@ -170,10 +170,4 @@
             void notifyDetached(); // Notifies the CollisionShape of being detached from a CompoundCollisionShape.
 
-            inline unsigned int getParentID()
-                { return this->parentID_; }
-
-            inline CompoundCollisionShape* getParent()
-                { return this->parent_; }
-
         protected:
             virtual void updateParent(); // Updates the CompoundCollisionShape the CollisionShape belongs to, after the CollisionShape has changed.
Index: code/branches/presentationFS14/src/orxonox/collisionshapes/CompoundCollisionShape.cc
===================================================================
--- code/branches/presentationFS14/src/orxonox/collisionshapes/CompoundCollisionShape.cc	(revision 10198)
+++ code/branches/presentationFS14/src/orxonox/collisionshapes/CompoundCollisionShape.cc	(revision 10203)
@@ -304,8 +304,3 @@
         this->updatePublicShape();*/
     }
-
-    int CompoundCollisionShape::getNumChildShapes()
-    {
-        return this->compoundShape_->getNumChildShapes();
-    }
 }
Index: code/branches/presentationFS14/src/orxonox/collisionshapes/CompoundCollisionShape.h
===================================================================
--- code/branches/presentationFS14/src/orxonox/collisionshapes/CompoundCollisionShape.h	(revision 10198)
+++ code/branches/presentationFS14/src/orxonox/collisionshapes/CompoundCollisionShape.h	(revision 10203)
@@ -71,10 +71,4 @@
 
             virtual void changedScale();
-            int getNumChildShapes();
-
-            inline std::map<CollisionShape*, btCollisionShape*> getShapesMap()
-            {
-                return attachedShapes_;
-            }
 
         private:
Index: code/branches/presentationFS14/src/orxonox/worldentities/StaticEntity.cc
===================================================================
--- code/branches/presentationFS14/src/orxonox/worldentities/StaticEntity.cc	(revision 10198)
+++ code/branches/presentationFS14/src/orxonox/worldentities/StaticEntity.cc	(revision 10203)
@@ -34,5 +34,4 @@
 #include "util/OrxAssert.h"
 #include "core/CoreIncludes.h"
-#include "worldentities/BigExplosion.h"
 
 namespace orxonox
@@ -116,4 +115,3 @@
         worldTrans.setRotation(btQuaternion(node_->getOrientation().x, node_->getOrientation().y, node_->getOrientation().z, node_->getOrientation().w));
     }
-
 }
Index: code/branches/presentationFS14/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- code/branches/presentationFS14/src/orxonox/worldentities/WorldEntity.cc	(revision 10198)
+++ code/branches/presentationFS14/src/orxonox/worldentities/WorldEntity.cc	(revision 10203)
@@ -46,5 +46,4 @@
 #include "Scene.h"
 #include "collisionshapes/WorldEntityCollisionShape.h"
-#include <BulletCollision/CollisionShapes/btCollisionShape.h>
 
 namespace orxonox
Index: code/branches/presentationFS14/src/orxonox/worldentities/WorldEntity.h
===================================================================
--- code/branches/presentationFS14/src/orxonox/worldentities/WorldEntity.h	(revision 10198)
+++ code/branches/presentationFS14/src/orxonox/worldentities/WorldEntity.h	(revision 10203)
@@ -409,7 +409,4 @@
             */
             virtual bool isCollisionTypeLegal(CollisionType type) const = 0;
-
-            inline virtual WorldEntityCollisionShape* getWorldEntityCollisionShape()
-                { return this->collisionShape_; }
 
             btRigidBody*  physicalBody_; //!< Bullet rigid body. Everything physical is applied to this instance.
Index: code/branches/presentationFS14/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/presentationFS14/src/orxonox/worldentities/pawns/Pawn.cc	(revision 10198)
+++ code/branches/presentationFS14/src/orxonox/worldentities/pawns/Pawn.cc	(revision 10203)
@@ -50,10 +50,4 @@
 #include "controllers/FormationController.h"
 
-#include "collisionshapes/WorldEntityCollisionShape.h"
-#include <BulletCollision/CollisionShapes/btCollisionShape.h>
-#include <BulletCollision/CollisionShapes/btCompoundShape.h>
-#include "graphics/Model.h"
-
-
 namespace orxonox
 {
@@ -252,10 +246,4 @@
     void Pawn::damage(float damage, float healthdamage, float shielddamage, Pawn* originator, const btCollisionShape* cs)
     {
-        //FIXME: (noep) remove debug
-        //orxout() << "damage(): Collision detected on " << this->getName() << ", btCS*: " << cs << endl;
-
-        //int collisionShapeIndex = this->isMyCollisionShape(cs);
-        //orxout() << collisionShapeIndex << endl;
-
         // Applies multiplier given by the DamageBoost Pickup.
         if (originator)
@@ -570,83 +558,3 @@
         return BLANKSTRING;
     }
-
-
-    int Pawn::isMyCollisionShape(const btCollisionShape* cs)
-    {
-        // This entities WECS
-        WorldEntityCollisionShape* ownWECS = this->getWorldEntityCollisionShape();
-
-        // e.g. "Box 4: Searching for CS 0x1ad49200"
-        orxout() << this->getName() << ": Searching for btCS* " << cs << endl;
-        // e.g. "Box 4 is WorldEntityCollisionShape 0x126dd060"
-        orxout() << "  " << this->getName() << " is WorldEntityCollisionShape* " << ownWECS << endl;
-        // e.g. "Box 4 is WorldEntity 0x126dd060"
-        orxout() << "  " << this->getName() << " is WorldEntity* " << this << endl;
-        // e.g. "Box 4 is objectID 943"
-        orxout() << "  " << this->getName() << " is objectID " << this->getObjectID() << endl;
-
-        // List all attached Objects
-        orxout() << "  " << this->getName() << " has the following Objects attached:" << endl;
-        for (int i=0; i<50; i++)
-        {
-            if (this->getAttachedObject(i)==NULL)
-                break;
-            orxout() << " " << i << ": " << this->getAttachedObject(i) << " (" << this->getAttachedObject(i)->getName() << ")";
-            if(!orxonox_cast<Model*>(this->getAttachedObject(i)))
-                orxout() << " (SE)";
-            orxout() << endl;
-        }
-
-
-        // print child shapes of this WECS
-        printBtChildShapes((btCompoundShape*)(ownWECS->getCollisionShape()), 2, 0);
-
-        int temp = entityOfCollisionShape(cs);
-        if (temp==0)
-            orxout() << this->getName() << " has been hit on it's main body." << endl;
-        else
-            orxout() << this->getName() << " has been hit on the attached entity no. " << temp << endl;
-
-        // end
-        return -1;
-    }
-
-    void Pawn::printBtChildShapes(btCompoundShape* cs, int indent, int subshape)
-    {
-        // e.g. "  Childshape 1 (WECS 0x126dc8c0) has 2 childshapes:"
-        printSpaces(indent);  orxout() << "Childshape " << subshape << " (btCS* " << cs << ") has " << cs->getNumChildShapes() << " childshapes:" << endl;
-
-        for (int i=0; i < cs->getNumChildShapes(); i++)
-        {
-            printSpaces(indent+2);  orxout() << "- " << i << " - - -" << endl;
-
-            // For each childshape, print: (as long as it's not another CompoundCollisionShape)
-            if (!orxonox_cast<btCompoundShape*>(cs->getChildShape(i)))
-            {
-                // pointer to the btCollisionShape
-                printSpaces(indent+2);  orxout() << "btCollisionShape*: " << cs->getChildShape(i) << endl;
-
-                // pointer to the btCollisionShape
-                printSpaces(indent+2);  orxout() << "m_userPointer*: " << cs->getChildShape(i)->getUserPointer() << " (name_: " << ((BaseObject*)(cs->getChildShape(i)->getUserPointer()))->getName() << ")" << endl;
-            }
-
-            // if the childshape is a CompoundCollisionShape, print its children.
-            if (cs->getChildShape(i)->isCompound())
-                printBtChildShapes((btCompoundShape*)(cs->getChildShape(i)), indent+2, i);
-
-        }
-    }
-
-    int Pawn::entityOfCollisionShape(const btCollisionShape* cs)
-    {
-        btCompoundShape* ownBtCS = (btCompoundShape*)(this->getWorldEntityCollisionShape()->getCollisionShape());
-
-        return -1;
-    }
-
-    void Pawn::printSpaces(int num)
-    {
-        for(int i=0; i<num; i++)
-            orxout() << " ";
-    }
 }
Index: code/branches/presentationFS14/src/orxonox/worldentities/pawns/Pawn.h
===================================================================
--- code/branches/presentationFS14/src/orxonox/worldentities/pawns/Pawn.h	(revision 10198)
+++ code/branches/presentationFS14/src/orxonox/worldentities/pawns/Pawn.h	(revision 10203)
@@ -229,9 +229,4 @@
             unsigned int numexplosionchunks_;
 
-            virtual int isMyCollisionShape(const btCollisionShape* cs); // FIXME: (noep) remove debug
-            void printBtChildShapes(btCompoundShape* cs, int indent, int subshape); // FIXME: (noep) remove debug
-            void printSpaces(int num);   // FIXME: (noep) remove debug
-            int entityOfCollisionShape(const btCollisionShape* cs);
-
         private:
             void registerVariables();