Index: branches/camera/src/world_entities/camera.cc
===================================================================
--- branches/camera/src/world_entities/camera.cc	(revision 10203)
+++ branches/camera/src/world_entities/camera.cc	(revision 10204)
@@ -75,4 +75,9 @@
 {
   return (PNode*)this->target;
+}
+
+void Camera::setTargetNode(PNode* target)
+{
+  this->target->setParent(target);
 }
 
@@ -157,5 +162,5 @@
 
   //iterate(float dt, translate, target)
-  target->translate( 1,dt);
+  target->translate(dt);
 }
 
@@ -353,5 +358,5 @@
 
 
-void CameraTarget::translate(float speed, float dt)
+void CameraTarget::translate(float dt)
 {
   if (fabs(translateTo.len()  - (target->getAbsCoor()).len()) >= 11 )
@@ -360,5 +365,5 @@
    Vector tmpVec= iterate(dt,  &translateTo,  &(State::getCameraNode()->getAbsCoor()));
     glLoadIdentity();
-    target->shiftCoor(tmpVec.x, tmpVec.y, tmpVec.z);
+    target->shiftCoor(speed*tmpVec.x, speed*tmpVec.y, speed*tmpVec.z);
     // cout << "%%" << tmpVec.x << "%%";
 
@@ -371,7 +376,7 @@
 }
 
-void CameraTarget::jump(Vector* newPos)
-{
-//target->setAbsCoor(newPos);
+void CameraTarget::jump(Vector newPos)
+{
+target->setAbsCoor(newPos);
 }
 
Index: branches/camera/src/world_entities/camera.h
===================================================================
--- branches/camera/src/world_entities/camera.h	(revision 10203)
+++ branches/camera/src/world_entities/camera.h	(revision 10204)
@@ -41,5 +41,5 @@
   CameraTarget* getTarget() const { return this->target; };
   PNode* getTargetNode() const;
-
+  void setTargetNode(PNode* target);
   void setAspectRatio(float aspectRatio);
   void setClipRegion(float nearClip, float farClip);
@@ -66,7 +66,7 @@
 
   void process(const Event &event);
+  CameraTarget*     target;          //!< The Target of the Camera (where this Camera Looks at)
 
 private:
-  CameraTarget*     target;          //!< The Target of the Camera (where this Camera Looks at)
 
   float             fovy;            //!< The field of view Angle (in degrees).
@@ -87,5 +87,5 @@
 class CameraTarget : public PNode
 {
-  friend class Camera;             //! The CameraTarget is a friend of Camera. noone else needs a CameraTarget, so noone else can create it.
+  friend class Camera;        //! The CameraTarget is a friend of Camera. noone else needs a CameraTarget, so noone else can create it.
   ObjectListDeclaration(CameraTarget);
 
@@ -102,8 +102,8 @@
   void atach(PNode* object);
   Vector iterate(float dt, const Vector* target, const Vector* cam);
-  void translate(float speed, float dt);
+  void translate(float dt);
   void changeSpeed(float speed);
   Vector* rotate(Vector* newPos, float speed);
-  void jump(Vector* newPos);
+  void jump(Vector newPos);
   void test();
   void translateNow(Vector* vec);
Index: branches/camera/src/world_entities/cameraman.cc
===================================================================
--- branches/camera/src/world_entities/cameraman.cc	(revision 10203)
+++ branches/camera/src/world_entities/cameraman.cc	(revision 10204)
@@ -36,2 +36,58 @@
 
 
+
+void cameraman::moveCurrCam(int x, int y, int z)
+{
+currentCam->target->trans(x,y,z);
+}
+
+
+void cameraman::moveCam(int x, int y, int z, int camNo)
+{
+cameras[camNo]->target->trans(x,y,z);
+}
+
+
+void cameraman::changeTarget(int camNo, PNode* target)
+{
+  cameras[camNo]->setTargetNode(target);
+}
+
+
+void cameraman::changeCurrTarget(PNode* target)
+{
+  currentCam->setTargetNode(target);
+}
+
+void cameraman::jumpCam(int x, int y, int z, int camNo)
+{
+ // cameras[camNo]
+}
+
+
+void jumpCurrCam(int x, int y, int z)
+{
+}
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: branches/camera/src/world_entities/cameraman.h
===================================================================
--- branches/camera/src/world_entities/cameraman.h	(revision 10203)
+++ branches/camera/src/world_entities/cameraman.h	(revision 10204)
@@ -19,11 +19,11 @@
     void createCam();
     Camera* cameras[6];
-    void moveCam(int x, int y, int z, int speed, int camNo);
-    void moveCurrCam(int x, int y, int z, int speed);
+    void moveCam(int x, int y, int z,  int camNo);
+    void moveCurrCam(int x, int y, int z);
     void changeTarget(int camNo, PNode* target);
     void changeCurrTarget(PNode* target);
     void jumpCam(int x, int y, int z, int camNo);
-    void jumpCam(int x, int y, int z);
-
+    void jumpCurrCam(int x, int y, int z);
+    void changeSpeed(float speed);
 
 