Index: code/trunk/src/modules/jump/Jump.cc
===================================================================
--- code/trunk/src/modules/jump/Jump.cc	(revision 10216)
+++ code/trunk/src/modules/jump/Jump.cc	(revision 10218)
@@ -595,5 +595,5 @@
 
         newPlatform = new JumpPlatformStatic(center_->getContext());
-        addPlatform(newPlatform, center_->getPlatformStaticTemplate(), 0.0, -0.05*sectionLength);
+        addPlatform(newPlatform, center_->getPlatformStaticTemplate(), 0.0, -0.05f*sectionLength);
 
         platformWidth_ = newPlatform->getWidth();
@@ -603,7 +603,7 @@
         {
             newPlatform = new JumpPlatformStatic(center_->getContext());
-            addPlatform(newPlatform, center_->getPlatformStaticTemplate(), xPosition, -0.05*sectionLength);
+            addPlatform(newPlatform, center_->getPlatformStaticTemplate(), xPosition, -0.05f*sectionLength);
             newPlatform = new JumpPlatformStatic(center_->getContext());
-            addPlatform(newPlatform, center_->getPlatformStaticTemplate(), -xPosition, -0.05*sectionLength);
+            addPlatform(newPlatform, center_->getPlatformStaticTemplate(), -xPosition, -0.05f*sectionLength);
         }
     }
@@ -616,6 +616,6 @@
         float sectionEnd = (1 + sectionNumber_) * sectionLength;
 
-        int numI = 6;
-        int numJ = 4;
+        const int numI = 6;
+        const int numJ = 4;
 
         enum PlatformType
@@ -1263,5 +1263,5 @@
     {
         float platformSpeed = center_->getPlatformSpeed();
-        return randomPosition(0.5*platformSpeed, 1.5*platformSpeed);
+        return randomPosition(0.5f*platformSpeed, 1.5f*platformSpeed);
     }
 
Index: code/trunk/src/modules/jump/JumpFigure.cc
===================================================================
--- code/trunk/src/modules/jump/JumpFigure.cc	(revision 10216)
+++ code/trunk/src/modules/jump/JumpFigure.cc	(revision 10218)
@@ -184,11 +184,11 @@
         // Move through the left and right screen boundaries
         Vector3 position = getPosition();
-        if (position.x < -fieldWidth_*1.1)
-        {
-            position.x = fieldWidth_*1.1;
-        }
-        else if (position.x > fieldWidth_*1.1)
-        {
-            position.x = -fieldWidth_*1.1;
+        if (position.x < -fieldWidth_*1.1f)
+        {
+            position.x = fieldWidth_*1.1f;
+        }
+        else if (position.x > fieldWidth_*1.1f)
+        {
+            position.x = -fieldWidth_*1.1f;
         }
         setPosition(position);
@@ -207,5 +207,5 @@
         {
             Vector3 velocity = getVelocity();
-            velocity.z = (bootsActive_ ? 1.2*jumpSpeed_ : jumpSpeed_);
+            velocity.z = (bootsActive_ ? 1.2f*jumpSpeed_ : jumpSpeed_);
             setVelocity(velocity);
 
@@ -221,5 +221,5 @@
         {
             Vector3 velocity = getVelocity();
-            velocity.z = 1.2*jumpSpeed_;
+            velocity.z = 1.2f*jumpSpeed_;
             setVelocity(velocity);
         }
Index: code/trunk/src/modules/jump/JumpPrereqs.h
===================================================================
--- code/trunk/src/modules/jump/JumpPrereqs.h	(revision 10216)
+++ code/trunk/src/modules/jump/JumpPrereqs.h	(revision 10218)
@@ -43,6 +43,6 @@
 //-----------------------------------------------------------------------
 
-#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(PONG_STATIC_BUILD)
-#  ifdef PONG_SHARED_BUILD
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(JUMP_STATIC_BUILD)
+#  ifdef JUMP_SHARED_BUILD
 #    define _JumpExport __declspec(dllexport)
 #  else
Index: code/trunk/src/modules/objects/controllers/TeamTargetProxy.h
===================================================================
--- code/trunk/src/modules/objects/controllers/TeamTargetProxy.h	(revision 10216)
+++ code/trunk/src/modules/objects/controllers/TeamTargetProxy.h	(revision 10218)
@@ -30,5 +30,5 @@
 #define _TeamTargetProxy_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/ObjectsPrereqs.h"
 #include "controllers/FormationController.h"
 
@@ -45,5 +45,5 @@
             has to be controllable and ticks every second (performance?)
     */
-    class _OrxonoxExport TeamTargetProxy : public FormationController, public Tickable
+    class _ObjectsExport TeamTargetProxy : public FormationController, public Tickable
     {
         public:
Index: code/trunk/src/modules/objects/controllers/TurretController.cc
===================================================================
--- code/trunk/src/modules/objects/controllers/TurretController.cc	(revision 10216)
+++ code/trunk/src/modules/objects/controllers/TurretController.cc	(revision 10218)
@@ -29,5 +29,5 @@
 #include "TurretController.h"
 #include "worldentities/pawns/Pawn.h"
-#include "Turret.h"
+#include "objects/Turret.h"
 
  namespace orxonox
Index: code/trunk/src/modules/objects/controllers/TurretController.h
===================================================================
--- code/trunk/src/modules/objects/controllers/TurretController.h	(revision 10216)
+++ code/trunk/src/modules/objects/controllers/TurretController.h	(revision 10218)
@@ -34,5 +34,5 @@
 #define _TurretController_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/ObjectsPrereqs.h"
 #include "controllers/ArtificialController.h"
 
@@ -45,5 +45,5 @@
         The controllableEntity gets casted to Turret, so this controller won't work for anything else.
     */
-    class _OrxonoxExport TurretController : public ArtificialController, public Tickable
+    class _ObjectsExport TurretController : public ArtificialController, public Tickable
     {
         public: