Index: branches/gui/src/world_entities/questGUI/quest.cc
===================================================================
--- branches/gui/src/world_entities/questGUI/quest.cc	(revision 10213)
+++ branches/gui/src/world_entities/questGUI/quest.cc	(revision 10222)
@@ -85,4 +85,6 @@
    LoadParam(root, "quest-difficulty", this, Quest, setQuestDifficulty)
        .describe("sets the difficulty of a quest");
+   LoadParam(root, "quest-persons", this, Quest, setQuestPersons)
+       .describe("sets the number of persons needed for a quest");
    LoadParam(root, "reward-description", this, Quest, setRewardDescription)
        .describe("sets the description of a reward");
Index: branches/gui/src/world_entities/questGUI/quest.h
===================================================================
--- branches/gui/src/world_entities/questGUI/quest.h	(revision 10213)
+++ branches/gui/src/world_entities/questGUI/quest.h	(revision 10222)
@@ -28,4 +28,8 @@
    inline void setQuestDifficulty(const std::string& questDifficulty)    { this->questDifficulty = questDifficulty; }
    inline const std::string& getQuestDifficulty()                        { return this->questDifficulty; }
+   
+   inline void setQuestPersons(const std::string& questPersons)          { this->questPersons = questPersons; }
+   inline const std::string& getQuestPersons()                        { return this->questPersons; }
+   
    inline void setRewardDescription(const std::string& rewardDescription){ this->rewardDescription  = rewardDescription; }
    inline const std::string& getRewardDescription()                      { return this->rewardDescription; }
@@ -42,4 +46,5 @@
     std::string             questName;
     std::string             questDescription;
+    std::string             questPersons;
     std::string             questPicture;
     std::string             questDifficulty;
Index: branches/gui/src/world_entities/questGUI/quest_gui.cc
===================================================================
--- branches/gui/src/world_entities/questGUI/quest_gui.cc	(revision 10213)
+++ branches/gui/src/world_entities/questGUI/quest_gui.cc	(revision 10222)
@@ -4,5 +4,5 @@
    orxonox - the future of 3D-vertical-scrollers
 
-   Copyright (C) 2004 orx
+   Copyright (C) 1004 orx
 
    This program is free software; you can redistribute it and/or modify
@@ -71,5 +71,5 @@
   this->bKillGui = false;
   
-  this->background = "maps/pogo_bunny.png";
+  this->background = "maps/rand2.png";
 
   this->myQuest = new Quest(root);
@@ -108,6 +108,10 @@
   {
     this->questBox= new OrxGui::GLGuiBox(OrxGui::Vertical);
+    questBox->setBorderTop(10);
+    questBox->setBorderRight(10);
+    questBox->setBorderBottom(20);
+    questBox->setBorderLeft(10);
+    this->questBox->setBackgroundTexture(background);
     this->bKillGui = false;
-    this->questBox->setBackgroundTexture(background);
     
     OrxGui::GLGuiBox* headerBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
@@ -115,18 +119,23 @@
       OrxGui::GLGuiImage* questImage = new OrxGui::GLGuiImage();
       questImage->setWidgetSize(100, 100);
-
       questImage->loadImageFromFile(this->myQuest->getQuestPicture());
       questImage->show();
-      headerBox->setBackgroundTexture("maps/pogo_bunny.png");
       headerBox->pack(questImage);
       
       OrxGui::GLGuiBox* outlineBox = new OrxGui::GLGuiBox(OrxGui::Vertical);
       {
-        OrxGui::GLGuiMultiLineText* questDifficulty = new OrxGui::GLGuiMultiLineText();
-        questDifficulty->setText(this->myQuest->getQuestDifficulty());
-        outlineBox->setBackgroundTexture("pogo_bunny.png");
-        outlineBox->pack(questDifficulty);
+        OrxGui::GLGuiMultiLineText* questDetails = new OrxGui::GLGuiMultiLineText();
+        questDetails->setText(this->myQuest->getQuestDifficulty());
+        questDetails->append(this->myQuest->getQuestPersons());
+        outlineBox->setBorderTop(0);
+        outlineBox->setBorderRight(0);
+        outlineBox->setBorderBottom(20);
+        outlineBox->setBorderLeft(0);
+        outlineBox->pack(questDetails);
       }
-      headerBox->setBorderBottom(40);
+      headerBox->setBorderTop(0);
+      headerBox->setBorderRight(0);
+      headerBox->setBorderBottom(20);
+      headerBox->setBorderLeft(0);
       headerBox->pack(outlineBox);
     }
@@ -136,6 +145,9 @@
       OrxGui::GLGuiMultiLineText* questTxt = new OrxGui::GLGuiMultiLineText();
       questTxt->setText(this->myQuest->getQuestDescription());
+      labelBox->setBorderTop(0);
+      labelBox->setBorderRight(0);
+      labelBox->setBorderBottom(20);
+      labelBox->setBorderLeft(0);
       labelBox->pack(questTxt);
-      labelBox->setBorderBottom(40);
     }
     
@@ -151,5 +163,8 @@
       OrxGui::GLGuiMultiLineText* rewardTxt = new OrxGui::GLGuiMultiLineText();
       rewardTxt->setText(this->myQuest->getRewardDescription());
-      rewardBox->setBorderBottom(40);
+      rewardBox->setBorderTop(0);
+      rewardBox->setBorderRight(0);
+      rewardBox->setBorderBottom(20);
+      rewardBox->setBorderLeft(0);
       rewardBox->pack(rewardTxt);
     }
@@ -181,5 +196,5 @@
     this->questBox->showAll();
     
-    this->questBox->setAbsCoor2D(300, 200);
+    this->questBox->setAbsCoor2D(300, 100);
     OrxGui::GLGuiHandler::getInstance()->activate();
     OrxGui::GLGuiHandler::getInstance()->activateCursor();