Index: /branches/gui/src/lib/gui/gl/glgui_widget.cc
===================================================================
--- /branches/gui/src/lib/gui/gl/glgui_widget.cc	(revision 10224)
+++ /branches/gui/src/lib/gui/gl/glgui_widget.cc	(revision 10225)
@@ -112,13 +112,12 @@
 
 
-
-    this->setBackgroundColor(Color(0, 0, 0, 0.5));
+    this->setBackgroundColor(Color(0, 0, 0, 0.0));
     this->setBackgroundColor(Color(0, 0, 0, 0), OrxGui::Selected);
 
 
-    this->_style[0]._background.setBlendFunc( GL_SRC_ALPHA, GL_SRC_ALPHA);
-    this->_style[1]._background.setBlendFunc( GL_SRC_ALPHA, GL_SRC_ALPHA);
-    this->_style[2]._background.setBlendFunc( GL_SRC_ALPHA, GL_SRC_ALPHA);
-    this->_style[3]._background.setBlendFunc( GL_SRC_ALPHA, GL_SRC_ALPHA);
+    this->_style[0]._background.setBlendFunc( GL_SRC_ALPHA,GL_ONE_MINUS_SRC_ALPHA);
+    this->_style[1]._background.setBlendFunc( GL_SRC_ALPHA,GL_ONE_MINUS_SRC_ALPHA);
+    this->_style[2]._background.setBlendFunc( GL_SRC_ALPHA,GL_ONE_MINUS_SRC_ALPHA);
+    this->_style[3]._background.setBlendFunc( GL_SRC_ALPHA,GL_ONE_MINUS_SRC_ALPHA);
 
     this->setForegroundColor(Color(.8, .8, 1, 1), OrxGui::Normal);
@@ -572,7 +571,10 @@
   void GLGuiWidget::setBackgroundTexture(const std::string& textureName)
   {
-    for (unsigned int i = 0; i < GLGUI_STATE_COUNT; ++i)
+    for (unsigned int i = 0; i < GLGUI_STATE_COUNT; ++i) {
       _style[i]._background.setDiffuseMap(textureName);
+      _style[i]._background.setDiffuseColor(Color(1.0, 1.0, 1.0, 1.0));
+    }
     this->_currentStyle._background.setDiffuseMap(textureName);
+    this->_currentStyle._background.setDiffuseColor(Color(1.0, 1.0, 1.0, 1.0));
   }
 
@@ -585,6 +587,10 @@
   {
     _style[state]._background.setDiffuseMap(texture);
-    if (state == _state)
+    _style[state]._background.setDiffuseColor(Color(1.0, 1.0, 1.0, 1.0));
+
+    if (state == _state) {
       _currentStyle._background.setDiffuseMap(texture);
+      _currentStyle._background.setDiffuseColor(Color(1.0, 1.0, 1.0, 1.0));
+    }
   }
 
Index: /branches/gui/src/world_entities/questGUI/quest_gui.cc
===================================================================
--- /branches/gui/src/world_entities/questGUI/quest_gui.cc	(revision 10224)
+++ /branches/gui/src/world_entities/questGUI/quest_gui.cc	(revision 10225)
@@ -58,5 +58,5 @@
 CREATE_FACTORY(QuestGUI);
 SHELL_COMMAND(gui, QuestGUI, guiInit);
-//SHELL_COMMAND(cancel, QuestGUI, guiDestruct); 
+//SHELL_COMMAND(cancel, QuestGUI, guiDestruct);
 
 
@@ -64,12 +64,12 @@
 {
   this->registerObject(this, QuestGUI::_objectList);
-  
+
   this->toList(OM_GROUP_00);
-  
-  this->questBox = NULL;  
-  
+
+  this->questBox = NULL;
+
   this->bKillGui = false;
-  
-  this->background = "maps/rand2.png";
+
+  this->background = "maps/pogo_bunny.png";
 
   this->myQuest = new Quest(root);
@@ -83,5 +83,5 @@
  * deconstructor
  */
-QuestGUI::~QuestGUI () 
+QuestGUI::~QuestGUI ()
 {
   if( this->myQuest)
@@ -104,5 +104,5 @@
  */
 void QuestGUI::guiInit()
-{  
+{
   if (questBox == NULL)
   {
@@ -114,5 +114,5 @@
     this->questBox->setBackgroundTexture(background);
     this->bKillGui = false;
-    
+
     OrxGui::GLGuiBox* headerBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
     {
@@ -122,5 +122,5 @@
       questImage->show();
       headerBox->pack(questImage);
-      
+
       OrxGui::GLGuiBox* outlineBox = new OrxGui::GLGuiBox(OrxGui::Vertical);
       {
@@ -140,7 +140,7 @@
       headerBox->pack(outlineBox);
     }
-    
+
     OrxGui::GLGuiBox* labelBox = new OrxGui::GLGuiBox(OrxGui::Vertical);
-    { 
+    {
       OrxGui::GLGuiMultiLineText* questTxt = new OrxGui::GLGuiMultiLineText();
       questTxt->setText(this->myQuest->getQuestDescription());
@@ -151,6 +151,6 @@
       labelBox->pack(questTxt);
     }
-    
-    
+
+
     OrxGui::GLGuiBox* rewardBox = new OrxGui::GLGuiBox(OrxGui::Vertical);
     {
@@ -160,5 +160,5 @@
       rewardImage->show();
       rewardBox->pack(rewardImage);
-    
+
       OrxGui::GLGuiMultiLineText* rewardTxt = new OrxGui::GLGuiMultiLineText();
       rewardTxt->setText(this->myQuest->getRewardDescription());
@@ -169,5 +169,5 @@
       rewardBox->pack(rewardTxt);
     }
-    
+
     OrxGui::GLGuiBox* answerBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
     {
@@ -179,5 +179,5 @@
         acceptBox->pack(acceptButton);
       }
-      
+
       OrxGui::GLGuiBox* refuseBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
       {
@@ -195,5 +195,5 @@
     this->questBox->pack(answerBox);
     this->questBox->showAll();
-    
+
     this->questBox->setAbsCoor2D(300, 100);
     OrxGui::GLGuiHandler::getInstance()->activate();
@@ -204,8 +204,8 @@
     this->bKillGui = true;
   }
-  
-}
-
-    
+
+}
+
+
 void QuestGUI::tick(float dt)
 {
@@ -213,5 +213,5 @@
     this->killgui();
 }
-    
+
 
 void QuestGUI::accept()