Index: branches/mount_points/src/lib/graphics/importer/oif/object_information_file.cc
===================================================================
--- branches/mount_points/src/lib/graphics/importer/oif/object_information_file.cc	(revision 10216)
+++ branches/mount_points/src/lib/graphics/importer/oif/object_information_file.cc	(revision 10228)
@@ -57,8 +57,8 @@
 
   // check basic validity
-  TiXmlElement* root = XMLDoc.RootElement();
-  assert( root != NULL);
+  this->_root = XMLDoc.RootElement();
+  assert( this->_root != NULL);
 
-  if( strcmp( root->Value(), "ObjectInformationFile"))
+  if( strcmp( this->_root->Value(), "ObjectInformationFile"))
   {
     // report an error
@@ -67,6 +67,4 @@
   }
 
-  // construct campaign
-//   return new Campaign( root);
 }
 
@@ -132,3 +130,12 @@
 
 
+/**
+ * this initializes the mount point
+ * @param mountPoint to be initialized
+ */
+// void ObjectInformationFile::initMountPoint(MountPoint* mountPoint)
+// {
+//   TiXmlElement* root = this->data->root();
+//
+// }
 
Index: branches/mount_points/src/lib/graphics/importer/oif/object_information_file.h
===================================================================
--- branches/mount_points/src/lib/graphics/importer/oif/object_information_file.h	(revision 10216)
+++ branches/mount_points/src/lib/graphics/importer/oif/object_information_file.h	(revision 10228)
@@ -25,7 +25,9 @@
   void load(const std::string& fileName);
 
+  inline TiXmlElement* root() { return this->_root; }
+
 
 private:
-
+  TiXmlElement* _root;           //!< root of the xml file
 };
 
@@ -42,4 +44,6 @@
   ObjectInformationFile& operator=(const ObjectInformationFile& oif);
 
+//   void initMountPoint(MountPoint* mountPoint);
+
   private:
     void init();
Index: branches/mount_points/src/story_entities/game_world.cc
===================================================================
--- branches/mount_points/src/story_entities/game_world.cc	(revision 10216)
+++ branches/mount_points/src/story_entities/game_world.cc	(revision 10228)
@@ -543,6 +543,11 @@
   ObjectManager::EntityList::const_iterator entity;
   for (entity = drawList.begin(); entity != drawList.end(); entity++)
+  {
     if ((*entity)->isVisible())
       (*entity)->draw();
+
+    if( unlikely( this->showMPV))
+      (*entity)->debugDrawMountPoints();
+  }
 }
 
@@ -668,4 +673,5 @@
     }
 
+
     if( unlikely(this->showPNodes))
       PNode::getNullParent()->debugDraw(0);
Index: branches/mount_points/src/world_entities/world_entity.cc
===================================================================
--- branches/mount_points/src/world_entities/world_entity.cc	(revision 10216)
+++ branches/mount_points/src/world_entities/world_entity.cc	(revision 10228)
@@ -276,5 +276,8 @@
 void WorldEntity::loadMountPoints( Model* model, const std::string& fileName)
 {
-  PRINTF(0)("loading the oif File: %s\n", fileName.c_str());
+  PRINTF(4)("loading the oif File: %s\n", fileName.c_str());
+
+  // now load the object information file
+  this->oiFile = new ObjectInformationFile(fileName);
 
   // extract the mount points
@@ -291,9 +294,10 @@
     // now get the number and add the mount point to the slot
     std::string nrStr = (*it).name.substr(3, 2);
+    // add the mount point
     this->addMountPoint(atoi(nrStr.c_str()), mp);
-  }
-
-  // now load the object information file
-  this->oiFile = new ObjectInformationFile(fileName);
+
+    // now fill the mount point
+    this->oiFile->initMountPoint(mp);
+  }
 
 }
@@ -817,4 +821,22 @@
 
 
+
+/**
+ * draw the mounting points
+ */
+void WorldEntity::debugDrawMountPoints() const
+{
+
+  std::vector<MountPoint*>::const_iterator it = this->mountPoints.begin();
+  for( ; it < this->mountPoints.end(); it++)
+  {
+    if( (*it) != NULL)
+    {
+      (*it)->debugDraw();
+    }
+  }
+}
+
+
 /**
  * Debug the WorldEntity
Index: branches/mount_points/src/world_entities/world_entity.h
===================================================================
--- branches/mount_points/src/world_entities/world_entity.h	(revision 10216)
+++ branches/mount_points/src/world_entities/world_entity.h	(revision 10228)
@@ -73,4 +73,5 @@
   virtual void tick (float time);
   virtual void draw () const;
+  void debugDrawMountPoints() const;
 
   /* --- Collision Detection Block  --- */